> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1billingplans quotas



## OpenAPI

````yaml /api-reference/openapi.json get /v1/billing/plans/{id}/quotas
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/billing/plans/{id}/quotas:
    get:
      tags:
        - Plans
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ModelsQuotasSBQuota'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ModelsQuotasSBQuota'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ModelsQuotasSBQuota'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    ModelsQuotasSBQuota:
      type: object
      properties:
        id:
          type: integer
          format: int64
        key:
          type: string
          nullable: true
        limit:
          type: integer
          format: int32
          nullable: true
        isUnlimited:
          type: boolean
          readOnly: true
        period:
          $ref: '#/components/schemas/ModelsQuotasSBQuotaPeriod'
        planId:
          type: integer
          format: int64
          nullable: true
        plan:
          $ref: '#/components/schemas/ModelsPlansSBBillingPlan'
        usageId:
          type: integer
          format: int64
          nullable: true
        usage:
          $ref: '#/components/schemas/ModelsQuotasSBQuotaUsage'
        userId:
          type: integer
          format: int64
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        isActive:
          type: boolean
        billingCycleAnchor:
          type: string
          format: date-time
          nullable: true
        pendingLimit:
          type: integer
          format: int32
          nullable: true
        pendingLimitEffectiveAt:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ModelsQuotasSBQuotaPeriod:
      enum:
        - DAILY
        - WEEKLY
        - MONTHLY
        - YEARLY
        - LIFETIME
      type: string
    ModelsPlansSBBillingPlan:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        price:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        isActive:
          type: boolean
        isRecurring:
          type: boolean
        billingPeriod:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
        stripeId:
          type: string
          nullable: true
      additionalProperties: false
    ModelsQuotasSBQuotaUsage:
      type: object
      properties:
        id:
          type: integer
          format: int64
        key:
          type: string
          nullable: true
        userId:
          type: integer
          format: int64
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        currentUsage:
          type: integer
          format: int32
        periodStart:
          type: string
          format: date-time
        periodEnd:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
        warningNotifiedAt:
          type: string
          format: date-time
          nullable: true
        limitNotifiedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false

````